<?php

/**
 *
 * Courriers/view.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 7
 * @author Stéphane Sampaio
 * @copyright Initié par ADULLACT - Développé par ADULLACT Projet
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<?php
//echo $this->Html->css(array('SimpleComment.comment.css'), null, array('inline' => false));
//echo $this->Html->script('jquery/jquery.ui.autocomplete.html.js', array('inline' => true));
echo $this->Html->script('contactinfo.js', array('inline' => true));
if ($rights['setMeta']) {
    echo $this->Html->script('thesaurus.js', array('inline' => true));    
}
?>

<script type="text/javascript">
    //obtenir les boutons gauches(bouton fonction)
    <?php // if( !$fromBannetteCopy ):?>
    function getFlowControls(fromMesServices) {
        var url = "<?php echo '/courriers/getFlowControls/' . $courrier['Courrier']['id']; ?>";
        if (fromMesServices) {
            url += "/1";
        }

        gui.request({
            url: url,
            noErrorMsg: true
        }, function (data) {
            $("body").append(data);
        });
    }
    <?php // endif;?>

<?php if ($rights['edit'] && !$isClosed) { ?>
    //Enregistre les changement
    function submitAll(submits, index) {
        if (submits[index] != 'end') {
            gui.request({
                url: submits[index].url,
                data: submits[index].data
            }, function (data) {
                var json = getJsonResponse(data);
                if (json.loadContext == "reload") {
                    $('.context_content .ui-accordion-header').removeAttr('loaded');
                    $('.context_content .ui-accordion-header .msgChange').remove();
                    loadContextTab($('.context_accordion').find('.ui-state-active'));
                }
                submitAll(submits, index + 1);
            });
        } else {
            <?php if ($rights['getFlowControls']) { ?>
            getFlowControls();
            <?php } ?>
            <?php
                if( $envactuel === 'disp' ) {
                    $desktopId = $desktopidactuel;
                }
                else {
                    $desktopId = $desktopidactuel;
                }
                if( $fromMesServices ) {
                    $desktopId = $courrier['Courrier']['desktop_creator_id'];
                } 
            ?>
        }
    }
<?php } ?>
</script>
<div class="container">
    <div class="row">
        <div class="table-list">
            <h3>
                Flux: <?php  echo $courrier['Courrier']['name'];?> (<?php  echo !empty($courrier['Courrier']['reference']) ? $courrier['Courrier']['reference'] : '';?>)
                <div id="leftButton" title="Flux Précédent"><i class='fa fa-chevron-left fa-4x'></i></div>
                <div id="rightButton"  title="Flux Suivant"><i class='fa fa-chevron-right fa-4x' ></i></div>
            </h3>
            <div class="row">
                <div class="infos col-sm-6">
                    <div id="flux_infos" class="tabbable tabs-left">
                        <ul class="nav nav-tabs">
                <?php
                if ($rights['getInfos']) {
                    echo $this->Html->tag('li', $this->Html->link('<i class="fa fa-info fa-fw" aria-hidden="true"></i>', '#infos', array('class' => ($rights['setInfos'] && !$isClosed) ? 'editable' : '', "data-toggle"=>"tab" ,'escape' => false)),array('class'=>'active', 'title'=>__d('courrier', 'Informations')));
                }
                if ($rights['getMeta']) {
                    echo $this->Html->tag('li', $this->Html->link('<i class="fa fa-sticky-note fa-fw" aria-hidden="true"></i>', '#medas', array('class' => ($rights['setMeta'] && !$isClosed) ? 'editable' : '', "data-toggle"=>"tab" ,'escape' => false)),array('title'=>__d('courrier', 'Metadonnees')));
                }
                if ($rights['getTache']) {
                    echo $this->Html->tag('li', $this->Html->link('<i class="fa fa-tasks fa-fw" aria-hidden="true"></i>', '#taches', array('class' => ($rights['setTache'] && !$isClosed) ? 'editable' : '', "data-toggle"=>"tab" ,'escape' => false)), array('id' => 'taskTab','title'=>__d('courrier', 'Taches')));
                }
                if ($rights['getAffaire']) {
                    echo $this->Html->tag('li', $this->Html->link('<i class="fa fa-folder-open fa-fw" aria-hidden="true"></i>', '#affaires', array('class' => ($rights['setAffaire'] && !$isClosed) ? 'editable' : '', "data-toggle"=>"tab" ,'escape' => false)),array('title'=>__d('courrier', 'Affaire')));
                }
                echo $this->Html->tag('li', $this->Html->link('<i class="fa fa-commenting fa-fw" aria-hidden="true"></i>'.' ('.$nbComment. ')', '#comments', array('class' => !$isClosed ? 'editable' : '', "data-toggle"=>"tab" ,'escape' => false)),array('title'=>__d('comment', 'Comment.tab')));
//                if ($rights['getInfos']) {
//                    echo $this->Html->tag('li', $this->Html->link('<i class="fa fa-info fa-fw" aria-hidden="true"></i><span class="tabbable-text"> '.__d('courrier', 'Informations').'</span>', '#infos', array('class' => ($rights['setInfos'] && !$isClosed) ? 'editable' : '', "data-toggle"=>"tab" ,'escape' => false)),array('class'=>'active', 'title'=>__d('courrier', 'Informations')));
//                }
//                if ($rights['getMeta']) {
//                    echo $this->Html->tag('li', $this->Html->link('<i class="fa fa-sticky-note fa-fw" aria-hidden="true"></i><span class="tabbable-text"> '.__d('courrier', 'Metadonnees').'</span>', '#medas', array('class' => ($rights['setMeta'] && !$isClosed) ? 'editable' : '', "data-toggle"=>"tab" ,'escape' => false)),array('title'=>__d('courrier', 'Metadonnees')));
//                }
//                if ($rights['getTache']) {
//                    echo $this->Html->tag('li', $this->Html->link('<i class="fa fa-tasks fa-fw" aria-hidden="true"></i><span class="tabbable-text"> '.__d('courrier', 'Taches').'</span>', '#taches', array('class' => ($rights['setTache'] && !$isClosed) ? 'editable' : '', "data-toggle"=>"tab" ,'escape' => false)), array('id' => 'taskTab','title'=>__d('courrier', 'Taches')));
//                }
//                if ($rights['getAffaire']) {
//                    echo $this->Html->tag('li', $this->Html->link('<i class="fa fa-folder-open fa-fw" aria-hidden="true"></i><span class="tabbable-text"> '.__d('courrier', 'Affaire').'</span>', '#affaires', array('class' => ($rights['setAffaire'] && !$isClosed) ? 'editable' : '', "data-toggle"=>"tab" ,'escape' => false)),array('title'=>__d('courrier', 'Affaire')));
//                }
//                echo $this->Html->tag('li', $this->Html->link('<i class="fa fa-commenting fa-fw" aria-hidden="true"></i><span class="tabbable-text"> '.__d('comment', 'Comment.tab').'</span>'.' ('.$nbComment. ')', '#comments', array('class' => !$isClosed ? 'editable' : '', "data-toggle"=>"tab" ,'escape' => false)),array('title'=>__d('comment', 'Comment.tab')));
                ?>
                        </ul>
                        <div class="tab-content row">
                <?php if ($rights['getInfos']) { ?>
                            <div  class="tab-pane fade in active col-sm-11"  id="infos">
                            </div>
                <?php }?>
                <?php if ($rights['getMeta']) {?>
                            <div  class="tab-pane fade col-sm-11" id="medas">
                            </div>
                <?php }?>
                <?php if ($rights['getTache']) {?>
                            <div  class="tab-pane fade  col-sm-11"  id="taches">
                            </div>
                <?php }?>
                <?php if ($rights['getAffaire']) {?>
                            <div  class="tab-pane fade col-sm-11" id="affaires">
                            </div>
                <?php }?>
                            <div  class="tab-pane fade col-sm-11" id="comments">
                            </div>
                        </div>
                    </div>
                    <div id="controls">
                        <div id="flowControls" class="btn-group col-sm-6"></div>
                        <div id="dataControls" class="btn-group col-sm-3"></div>
                        <div id="modeControls" class="btn-group  col-sm-2"></div>
                    </div>
                </div>


                <div id="flux_context" class="context  col-sm-6  tabs-left">
            <?php
            $context_params = array(
                    'fluxId' => $courrier['Courrier']['id'],
                    'rights' => $rights,
                    'parent' => $parent,
                    'sortant' => $sortant,
                    'mainDoc' => $mainDoc
            );
            echo $this->Element('context', $context_params); 
            ?>
                </div>
            </div>
        </div>
    </div>
</div>
<script type="text/javascript">


    //Mode de Modification
    function editMode(fluxId) {
        affichageTab('edit');
        afficahgeMode = "edit";
        $('#flux_infos .tab-content').children('.tab-pane').empty();
        //supprimer bouton edit
        $('.editFluxButton').remove();
        $('.passViewMode').show();
        $('.saveEditBtn').show();
        $('.undoEditBtn').show();
    }

    function viewMode(fluxId) {
        affichageTab('view');
        afficahgeMode = "view";
        //supprimer bouton view
        $('.passViewMode').hide();
        //supprimer boutons enregistre et retourner
        $('.saveEditBtn').hide();
        $('.undoEditBtn').hide();
    }
    //initialisation acces page (modifier/view)
    var courrierId = <?php echo $courrier['Courrier']['id']; ?>;
    $(document).ready(function () {
        <?php if($initMode=="edit"): ?>
        var afficahgeMode = "edit";
        editMode(courrierId);
        <?php else: ?>
        var afficahgeMode = "view";
        viewMode(courrierId);
        <?php endif;?>


    });

    //gestion Nav tabs
    $('#flux_infos .nav-tabs a').on('shown.bs.tab', function (e) {
        affichageTab(afficahgeMode);
    });


    //gestion quel Tab on affiche
    function affichageTab(mode) {
        setOrget = 'get';
        if (mode == "edit") {
            setOrget = 'set';
        }
        if ($('#infos').length > 0 && $('#infos').is(':visible')) {
            <?php if(isset($rights['setInfos']) && $rights['setInfos']){ ?>
            if ($('.editFluxButton').length == 0 && mode == 'view') {
                addbuttonEdit();
            }
            <?php }else{ ?>
            if (mode == "edit") {
                setOrget = 'get';
            }
            <?php } ?>
            gui.request({
                url: "<?php echo "/courriers/"?>" + setOrget + "<?php echo "Infos/" . $courrier['Courrier']['id']; ?>",
                updateElement: $('#infos')
            });
        }
        if ($('#medas').length > 0 && $('#medas').is(':visible')) {
            gui.request({
                url: "<?php echo "/courriers/"?>" + setOrget + "<?php echo "Meta/" . $courrier['Courrier']['id']; ?>",
                updateElement: $('#medas')
            });
            if ($('.editFluxButton').length == 0 && mode == 'view') {
                addbuttonEdit();
            }
        }
        if ($('#taches').length > 0 && $('#taches').is(':visible')) {
            gui.request({
                url: "<?php echo "/courriers/"?>" + setOrget + "<?php echo "Tache/" . $courrier['Courrier']['id']; ?>",
                updateElement: $('#taches')
            });
            if ($('.editFluxButton').length == 0 && mode == 'view') {
                addbuttonEdit();
            }
        }
        if ($('#affaires').length > 0 && $('#affaires').is(':visible')) {
            <?php if(isset($rights['setAffaire']) && $rights['setAffaire']){ ?>
            if ($('.editFluxButton').length == 0 && mode == 'view') {
                addbuttonEdit();
            }
            <?php }else{ ?>
            if (mode == "edit") {
                setOrget = 'get';
            }
            <?php } ?>
            gui.request({
                url: "<?php echo "/courriers/"?>" + setOrget + "<?php echo "Affaire/" . $courrier['Courrier']['id']; ?>",
                updateElement: $('#affaires')
            });
        }
        if ($('#comments').length > 0 && $('#comments').is(':visible')) {
            gui.request({
                url: "<?php echo "/courriers/"?>" + setOrget + "<?php echo "Comments/" . $courrier['Courrier']['id']; ?>",
                updateElement: $('#comments')
            });
            if ($('.editFluxButton').length == 0 && mode == 'view') {
                addbuttonEdit();
            }
        }
    }


    //activation des boites de boutons
    gui.buttonbox({element: $('#flowControls'), align: "left"});
    gui.buttonbox({element: $('#dataControls'), align: "center"});
    gui.buttonbox({element: $('#modeControls'), align: "right"});

    gui.addbutton({
        element: $('#modeControls'),
        button: {
            content: "<i class='fa fa-eye' title='<?php echo __d('courrier', 'View mode'); ?>' aria-hidden='true'></i>",
            class: "btn btn-info-webgfc passViewMode",
            action: function () {
                viewMode(fluxId);
            }
        }
    })

    //bouton enregistre et retourner
    gui.addbutton({
        element: $('#dataControls'),
        button: {
            content: "<i class='fa fa-floppy-o' title='<?php echo __d('courrier', 'Enregistrer'); ?>'  aria-hidden='true'></i>",
            class: "btn-success  saveEditBtn",
            action: function () {
                var formActive = $('#flux_infos').children('.tab-content').find('.in').find('form');

//                var forms = $('#flux_infos').find('form');
//                $.each(forms, function (index, form) {
                $.each(formActive, function (index, form) {
                    var url = form.action;
                    var id = form.id;

                    if (form_validate($('#' + id))) {
                        gui.request({
                            url: url,
                            data: $('#' + id).serialize()
                        }, function (data) {
//                            console.log(data);
                            var obj = jQuery.parseJSON(data);
                            if (obj.newCourrierSoustypeSens != undefined && obj.newCourrierDelaiNb != undefined && obj.newCourrierDelaiUnite != undefined && obj.newCourrierId != undefined) {
                                updateQualification(obj.newCourrierSoustypeSens, obj.newCourrierDelaiNb, obj.newCourrierDelaiUnite);
                                updateContextRight(obj.newCourrierId);
                            }
//                            var fluxId = obj.newCourrierId
                            layer.msg(obj.message);
//                            viewMode(fluxId);
//                            $('.passViewMode').remove();
//                            $('#dataControls').empty();
                        });
                    } else {
                        swal({
                            title: "Oops...",
                            text: "Veuillez vérifier votre formulaire!",
                            type: "error",
                            timer: 1500
                        });
                    }
                });
            }
        }
    });
    gui.addbutton({
        element: $('#dataControls'),
        button: {
            content: "<i class='fa fa-times-circle-o' title='<?php echo __d('courrier', 'Annuler'); ?>'  aria-hidden='true'></i>",
            class: "btn-danger  undoEditBtn",
            action: function () {
                affichageTab('view');
                $('.passViewMode').remove();
                $('#dataControls').empty();
            }
        }
    });

    //definition des boutons de controle du flux dans son circuit
    <?php if ($rights['getFlowControls'] && !$fromHistorique && !$fromMesServices && !$fromBannetteCopy && !$fromTask ) { ?>
    getFlowControls();
    <?php } else if ($rights['getFlowControls'] && (!$fromHistorique && !$fromTask && $fromMesServices) /*|| $fromBannetteCopy */) { ?>
    getFlowControls(true);
    <?php } ?>

    //function pour ajouter bouton Edit
    function addbuttonEdit() {
       <?php if ($rights['edit'] && !$isClosed && !$fromHistorique && !$fromMesCopies && !$fromTask && ( $isUserInCircuit || $isUserInit || $isUserDisp || $isUserDoc ) && !$fromMesServices || Configure::read('Copie.modified') ) { ?>
        gui.addbutton({
            element: $('#modeControls'),
            button: {
                class: "editFluxButton",
                content: "<i class='fa fa-pencil' title='<?php echo __d('courrier', 'Edit mode'); ?>' aria-hidden='true'></i>",
                action: function () {
                    editMode(<?php echo $courrier['Courrier']['id']; ?>);
                }
            }
        });
       <?php } ?>
    }



    $('#leftButton').click(function () {
        gui.request({
            url: "<?php echo "/desktops/nextFlux/".$courrier['Courrier']['id']."/".$desktopId; ?>",
            data: $('#CourrierSetInfosForm').serialize()
        }, function (data) {
            var json = JSON.parse(data);
            if (json.void != undefined) {
                layer.msg(json.void);
                window.location.href = "<?php echo Configure::read('BaseUrl') . "/environnement/index"; ?>";
            } else {
                if (json.dataFluxComplet['fin'] != undefined) {
                    layer.msg(json.dataFluxComplet['fin']);
                }
                window.location.href = "<?php echo '/courriers/view/'?>" + json.dataFluxComplet["next"] + "<?php echo  "/".$desktopId; ?>";
            }
        });
    });
    $('#rightButton').click(function () {
        gui.request({
            url: "<?php echo "/desktops/nextFlux/".$courrier['Courrier']['id']."/".$desktopId; ?>",
            data: $('#CourrierSetInfosForm').serialize()
        }, function (data) {
            var json = JSON.parse(data);
            if (json.void != undefined) {
                layer.msg(json.void);
                window.location.href = "<?php echo Configure::read('BaseUrl') . "/environnement/index"; ?>";
            } else {
                if (json.dataFluxComplet['debut'] != undefined) {
                    layer.msg(json.dataFluxComplet['debut']);
                }
                window.location.href = "<?php echo '/courriers/view/'?>" + json.dataFluxComplet["before"] + "<?php echo  "/".$desktopId; ?>";
            }
        });
    });

    $(window).resize(function () {
        iconTextTabLeft();
    });
    iconTextTabLeft();
    function iconTextTabLeft() {
        if ($(window).width() < 1280) {
            $('.tabbable-text').hide();
//            $('#flux_infos .tab-content').css('margin-left', '95px');
            $('#flux_infos .tab-content').css('margin-left', '50px');
        } else {
            $('.tabbable-text').show();
//            $('#flux_infos .tab-content').css('margin-left', '190px');
            $('#flux_infos .tab-content').css('margin-left', '24px');
        }
    }
</script>