<?php

/**
 *
 * Groups/get_groups.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 7
 * @author Stéphane Sampaio
 * @copyright Initié par ADULLACT - Développé par ADULLACT Projet
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<?php 
echo $this->Html->script('formValidate.js', array('inline' => true));
?>
<div class="groups_accordion">
    <div class="panel">
        <div class="panel">
            <!--<legend style="border-bottom: none"> - Total : <?php echo count($groups_base);?></legend>-->
            <div  class="bannette_panel panel-body" >
                <table id="table_groups_base"
                       data-toggle="table"
                       data-locale = "fr-CA"
                       >
                </table>
            </div>
        </div>
    </div>
</div>

<script type="text/javascript">
    function viewElementGroup(itemId) {
        gui.formMessage({
            updateElement: $("body"),
            loader: true,
            loaderMessage: gui.loaderMessage,
            title: '<?php echo  __d('group', 'Group.base');?>',
            url: '<?php echo Configure::read('BaseUrl') . '/groups/view'; ?>' + '/' + itemId,
            buttons: {
                "<i class='fa fa-times' aria-hidden='true'></i> Fermer": function () {
                    $(this).parents('.modal').modal('hide');
                    $(this).parents('.modal').empty();
                }
            }
        });
    }

    $('#liste_groups .groups_accordion h3').each(function () {
        var content = $(this).html();
        var span = $('<a href="#"></a>').append(content);
        $(this).empty();
        $(this).append(span);

    });

    var showInactiveState = false;
    var showInactive = function () {
        if (showInactiveState) {
            $('#liste_groups tr.ui-state-inactive').show();
            showInactiveState = false;
        } else {
            $('#liste_groups tr.ui-state-inactive').hide();
            showInactiveState = true;
        }
    }


<?php
    $data = array();
    $i=0;
    foreach($groups_base as $profil){
        $data[$i]['name'] = $profil['Group']['name'];
        $data[$i]['view'] = $this->Html->tag('i', '', array(
            'title' => __d('default', 'Button.view'),
            'alt' => __d('default', 'Button.view'),
            'class' => "fa fa-eye itemView",
            'onclick' => "return viewElementGroup(" . $profil['Group']['id'] . ")", 
//            'style' => 'color: #428bca;cursor:pointer'
            )
        );
        $i++;
    }
    ?>
    $('#table_groups_base')
            .bootstrapTable({
                data:<?php echo json_encode($data);?>,
                columns: [
                    {
                        field: "name",
                        title: "<?php echo __d("group","Group.name"); ?>",
                        class: "name"
                    },
                    {
                        field: "view",
                        title: "Détail",
                        class: "actions thView",
                        width: "80px",
                        align: "center"
                    }
                ]
            });

</script>
