<?php

/**
 *
 * Recherches/index.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 7
 * @author Stéphane Sampaio
 * @copyright Initié par ADULLACT - Développé par ADULLACT Projet
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<?php 
    //echo $this->Html->css(array('administration'), null, array('inline' => false)); 
//    echo $this->Html->css(array('zones/recherche/index'), null, array('inline' => false)); 
    echo $this->Html->script('zone/Recherches/recherchesFunction.js', array('inline' => true));
?>

<div class="container">
    <div class="row">
        <div class="table-list rechercheCondition" id="liste">
            <h3>Conditions</h3>
            <div class="content"></div>
            <div class="controls panel-footer " role="group"></div>
        </div>
    </div>
    <div class="row">
        <div class="table-list rechercheCondition" id="infos">
            <h3>Résultats</h3>
            <div class="content"></div>
            <div class="controls panel-footer  " role="group"></div>
        </div>
    </div>
</div>
<!--<table id="webgfc_content">
        <tr>
                <td id="liste">
                        <div class="title">
				<?php // echo __d('recherche', 'Recherche.formulaire'); ?>
                        </div>
                        <div class="content"></div>
                        <div class="controls"></div>
                </td>
                <td id="infos">
                        <div class="title">
				<?php // echo __d('recherche', 'Recherche.resultat'); ?>
                        </div>
                        <div class="content"></div>
                        <div class="controls"></div>
                </td>
        </tr>
</table>-->
<!-- <div class="container">
            <div class="row">
                <div class="table-list">
                    <h3>Zone de condition</h3>
                    <div class="panel-body form-horizontal">
                        <div class="form-group" >
                            <div class='col-sm-9'></div>
                            <a id='searchSavaBool' class="col-sm-2 btn btn-info-webgfc" href="#"><i class="fa fa-power-off"></i> Recherches enregistrées</a>
                            
                            <label class="control-label col-sm-4 " for="searchSavaBool"> Recherches enregistrées:</label>
                            <div class="controls col-sm-1">
                                <input type="checkbox" id="searchSavaBool" value="" class="form-control">
                            </div>
                            
                        </div>
                    </div>
                </div>
            </div>
 </div>-->
<script type="text/javascript">
//	$('.title').addClass('ui-widget-header-webgfc ui-state-default ui-corner-top');
//	$('.content').addClass('ui-widget ui-widget-content ui-corner-all');

    gui.buttonbox({
        element: $('#liste .controls'),
        align: 'center'
    });

    gui.addbuttons({
        element: $('#liste .controls'),
        buttons: [{
                content: '<i class="fa fa-search" aria-hidden="true"></i> Rechercher',
                title: "<?php echo __d('default', 'Button.search'); ?>",
                class: 'btn-info-webgfc searchBtn',
                action: function () {
                    gui.request({
                        url: "<?php echo Configure::read('BaseUrl') . "/Recherches/recherche"; ?>",
                        data: $('#RechercheFormulaireForm').serialize(),
                        updateElement: $('#infos .content'),
                        loader: true,
                        loaderMessage: gui.loaderMessage
                    });
                    $('#liste').hide();
                    $('#infos').show();
                }
            },
            {
                content: '<i class="fa fa-undo" aria-hidden="true"></i> Réinitialiser',
                title: "<?php echo __d('default', 'Button.reset'); ?>",
                class: 'btn-danger ',
                action: function () {
                    resetJSelect('#RechercheFormulaireForm');
                    var formCheckbox = $('.formSearch input');
                    $('#RechercheFormulaireForm .select2-search-choice').remove();
                    formCheckbox.each(function (index, item) {
                        var idInput = item.id;
                        if ($('#' + idInput + '').prop('checked')) {
                            $('.' + idInput + '').show();
                        } else {
                            $('.' + idInput + '').hide();
                        }

                    });
                    if ($('.searcheSaveTrue').is(':visible')) {
                        $('#searchSavaBool').click();
                    }
                }
            }]
    });


    $('#infos').hide();
    gui.request({
        url: "<?php echo Configure::read('BaseUrl') . "/Recherches/formulaire"; ?>",
        updateElement: $('#liste .content'),
        loader: true,
        loaderMessage: gui.loaderMessage
    });



</script>


