<?php

/**
 *
 * Soustypes/set_armodels.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 7
 * @author Stéphane Sampaio
 * @copyright Initié par ADULLACT - Développé par ADULLACT Projet
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<div id="armodels">
<?php 
$ulContent = '';
if (empty($armodels)) {
	$ulContent = $this->Html->tag('li', __d('soustype', 'Soustype.Armodel.void'), array('class' => 'alert alert-warning'));
} else {
	foreach ($armodels as $armodel) {

		$liContent = $this->Element('ctxdoc', array('gfcDocType' => 'Armodel', 'ctxdoc' => $armodel['Armodel'], 'adminMode' => true,'sendCourrier'=>false,'sendGED'=>false));

		if ($armodel['Armodel']['format'] == 'email') {
			$dlContent = $this->Html->tag('dt', __d('armodel', 'Armodel.email_title'), array('class' => 'ui-state-focus'));
			$dlContent .= $this->Html->tag('dd', $armodel['Armodel']['email_title']);
			$dlContent .= $this->Html->tag('dt', __d('armodel', 'Armodel.email_content'), array('class' => 'ui-state-focus'));
			$dlContent .= $this->Html->tag('dd', $armodel['Armodel']['email_content']);
			$liContent .= $this->Html->tag('dl', $dlContent);
		}

		if ($armodel['Armodel']['format'] == 'sms') {
			$dlContent = $this->Html->tag('dt', __d('armodel', 'Armodel.sms_content'), array('class' => 'ui-state-focus'));
			$dlContent .= $this->Html->tag('dd', $armodel['Armodel']['sms_content']);
			$liContent .= $this->Html->tag('dl', $dlContent);
		}

		$ulContent .= $this->Html->tag('li', $liContent, array('class' => 'ctxdoc'));
	}
}
echo $this->Html->tag('ul', $ulContent, array('id' => 'armodelList'));
echo $this->Html->tag('span', '<i class="fa fa-plus-circle" aria-hidden="true"></i> '.__d('armodel', 'Armodel.bttn.add'), array('class' => 'armodel_bttn_add btn btn-info-webgfc'));
?>
</div>
<script type="text/javascript">
    $('.armodel_bttn_add').button().click(function () {
        $('#armodels').hide();

        gui.request({
            url: '/armodels/add/' + "<?php echo $soustype_id; ?>",
            updateElement: $('#stype_tabs_2'),
            loader: true,
            loaderMessage: gui.loaderMessage
        });

        /*
         gui.formMessage({
         url: '/armodels/add/' + "<?php echo $soustype_id; ?>",
         loader: true,
         loaderMessage: gui.loaderMessage,
         buttons: {
         "<?php echo __d('default', 'Button.submit'); ?>": function () {
         var form = $('#ArmodelAddForm');
         if (form_validate(form)) {
         form.submit();
         $(this).parents(".modal").modal('hide');
         } else {
         sweetAlert(
         'Oops...',
         'Veuillez vérifier votre formulaire!',
         'error'
         );
         }
         
         },
         "<?php echo __d('default', 'Button.cancel'); ?>": function () {
         $(this).parents('.modal').modal('hide');
         $(this).parents('.modal').empty();
         }
         }
         });
         */
    });
    $('.ctxdocBttnDelete').click(function () {

        var docId = $(this).parent().parent().parent().attr('itemId');
        swal({
            title: "<?php echo __d('default', 'Modal.suppressionTitle'); ?>",
            text: "<?php echo __d('default', 'Modal.suppressionContents'); ?>",
            type: 'warning',
            showCancelButton: true,
            confirmButtonColor: '#d33',
            cancelButtonColor: '#3085d6',
            confirmButtonText: "<?php echo __d('default', 'Button.valid'); ?>",
            cancelButtonText: "<?php echo __d('default', 'Button.cancel'); ?>",
        }).then(function (data) {
            if (data) {
                gui.request({
                    url: '/armodels/delete/' + docId,
                    loader: true,
                    loaderMessage: gui.loaderMessage,
                }, function (data) {
                    getJsonResponse(data);
                    stype_tabs_reload();
                });
            } else {
                swal({
                    title: "Annulé!",
                    text: "Vous n'avez pas supprimé, ;) .",
                    type: "error",
                    timer: 1500
                });
            }
        });
    });

</script>