<?php

/**
 *
 * Modeldocs/edit.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 7
 * @author Stéphane Sampaio
 * @copyright Initié par ADULLACT - Développé par ADULLACT Projet
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<?php 
echo $this->Html->script('formValidate.js', array('inline' => true));
?>
<div class="row">
<?php
$formModel = array(
        'name' => 'Armodel',
        'label_w' => 'col-sm-5',
        'input_w' => 'col-sm-5',
        'form_url' => "/models/add/" . $soustype_id,
        'form_target' => 'modelUploadFrame',
        'form_type' => 'file',
        'form_name' =>'model', 
        'form_id' =>'model', 
        'input' => array(
            'Model.id' => array(
                'inputType' => 'hidden',
                'items'=>array(
                    'type'=>'hidden'
                )
            ),
            'Model.modele' => array(
                'labelText' =>__d('model', 'Model.name'),
                'inputType' => 'text',
                'items'=>array(
                    'type'=>'text'
                )
            ),
            'File' => array(
                'labelText' =>__d('model', 'Model.file'),
                'inputType' => 'file',
                'items'=>array(
                    'type'=>'file'
                )
            )
        )
    );

    echo $this->Formulaire->createForm($formModel);
    echo $this->Form->end();
?>
</div>
<script type="text/javascript">
    $("#modelUploadFrame").remove();
    $('body').append('<iframe name="modelUploadFrame" id="modelUploadFrame" src="#" style="width:0;height:0;border:none;"></iframe>');
<?php if (isset($uploadComplete) && $uploadComplete == "ok"): ?>
    if (window.top.window.updateModelTab) {
        window.top.window.updateModelTab();
    }
<?php endif; ?>
</script>