<?php

/**
 *
 * Courriers/get_relements.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 7
 * @author Stéphane Sampaio
 * @copyright Initié par ADULLACT - Développé par ADULLACT Projet
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<?php
echo $this->Form->create('ResponseDoc');
echo $this->Form->input('courrier_id', array('type' => 'hidden', 'value' => $fluxId));
?>

<?php if(Configure::read('Conf.SAERP') || Configure::read('Conf.Gabarit')):?>
<div class="rmodel_list">
    <fieldset><legend><?php echo __d('relement', 'Relement.Rmodels'); ?></legend>
            <?php
            if (!empty($rmodels)) {
                foreach ($rmodels as $rmodel) {
                    ?><input type="radio" name="data[ResponseDoc][gabarit_id]" value="<?php echo $rmodel['Gabaritdocument']['id']; ?>" /><?php
            echo $this->Element('ctxdoc', array('ctxdoc' => $rmodel['Gabaritdocument'], 'gfcDocType' => 'Gabaritdocument', 'cssClass' => 'ctxdoc'));
        }
    } else {
        echo $this->Html->tag('div', __d('courrier', 'Rmodel.void'), array('class' => 'alert alert-warning'));
    }
            ?>
    </fieldset>
</div>
<?php else:?>
<div class="rmodel_list">
    <fieldset><legend><?php echo __d('relement', 'Relement.Rmodels'); ?></legend>
            <?php
            if (!empty($rmodels)) {
                foreach ($rmodels as $rmodel) {
                    ?><input type="radio" name="data[ResponseDoc][rmodel_id]" value="<?php echo $rmodel['Rmodel']['id']; ?>" /><?php
            echo $this->Element('ctxdoc', array('ctxdoc' => $rmodel['Rmodel'], 'gfcDocType' => 'Rmodel', 'cssClass' => 'ctxdoc'));
        }
    } else {
        echo $this->Html->tag('div', __d('courrier', 'Rmodel.void'), array('class' => 'alert alert-warning'));
    }
            ?>
    </fieldset>
</div>
<?php endif;?>

<div class="relement_list">
    <fieldset>
        <legend><?php echo __d('relement', 'Relement.documents') ?></legend>
        <div class="panel-body form-horizontal">
            <div class="relement_doc_list">
            <?php
            if (!empty($relements)) {
                foreach ($relements as $relement) {?>
                    <?php 
                    echo $this->Form->checkbox($relement['Relement']['id'], array('name' => 'data[ResponseDoc][Relement][' . $relement['Relement']['id'] . ']'));
                    echo $this->Element('ctxdoc', array('ctxdoc' => $relement['Relement'], 'gfcDocType' => 'Relement', 'cssClass' => 'ctxdoc', 'right_delete' => $right_delete));
                }
            } else {
                echo $this->Html->tag('div', __d('courrier', 'Relement.void'), array('class' => 'alert alert-warning'));
            }
            ?>
            </div>
        </div>
    </fieldset>
</div>
<?php if( Configure::read('DOC_DEFAULT') ):?>
<div class="relement_docs">
    <legend><?php echo __d('relement', 'Relement.modelesFournis') ?></legend>
    <div class="panel-body form-horizontal">
        <div class="relement_docs_list">
            <?php
            if (!empty($fichiers)) {
                foreach ($fichiers as $i => $fichier) {
                    if(!empty($fichier['name'])){
                        echo $this->Element('ctxdoc', array('ctxdoc' => $fichier, 'gfcDocType' => 'Relement', 'cssClass' => 'ctxdoc', 'right_delete' => false));
                    }
                }
            }
            else {
                echo $this->Html->tag('div ', __d('courrier', 'Fichier.void'), array('class' => 'alert alert-warning'));
            }
            if(empty($fichiersName) ) {
                echo $this->Html->tag('div', __d('courrier', 'Fichier.void'), array('class' => 'alert alert-warning'));
            }
            ?>
        </div>
    </div>
</div>
<?php endif;?>
<span class="bttn_gen_doc btn btn-info-webgfc"><i class="fa fa-cog" title="<?php echo __d('relement', 'Relement.gendoc') ?>"></i> <?php echo __d('relement', 'Relement.gendoc') ?></span>
<?php echo $this->Form->end(); ?>

<script type="text/javascript">
    $('#upload_target').remove();
<?php 
    if ($right_upload) { 
?>
    var ulfile = gui.createupload({
        button: "<?php echo __d('default', 'Button.uploadFile'); ?>",
        label: "<?php echo __d('relement', 'Relement.add'); ?>",
        url: "/relements/add",
        fileInputName: "myfile",
        hiddenItem: {
            name: "fluxId",
            value: <?php echo $fluxId; ?>
        }
    });
    $('.relement_list fieldset').append(ulfile);
<?php 
    } 
?>


    function check_rmodels_select() {
        var valid = false;
        $('.rmodel_list input[type="radio"]').each(function () {
            if ($(this).prop("checked")) {
                valid = true;
            }
        });
        return valid;
    }

    function check_relements_select() {
        var valid = false;
        $('.relement_list input[type="checkbox"]').each(function () {
            if ($(this).prop("checked")) {
                valid = true;
            }
        });
        return valid;
    }

//TODO: not work
    $('.bttn_gen_doc').button().click(function () {
        var form = $('#ResponseDocGetRelementsForm');
        var updateElement = $('.context_accordion').find('.ui-state-active');
        var documentTab = $('.context_accordion').find('.document_tab');

        var message = '';
        if (!check_rmodels_select()) {
            message = '<?php echo __d('relement', 'Relement.generate.rmodel_select'); ?>';
        }
        if (!check_relements_select()) {
            if (message != '') {
                message += "<br />";
            }
            message += '<?php echo __d('relement', 'Relement.generate.relement_select'); ?>';
        }
        var event = new $.Event();
        var loader_id = event.timeStamp;
        gui.loader({
            element: $('.context_accordion').find('.ui-state-active'),
            message: gui.loaderMessage,
            id: loader_id
        });

        gui.request({
            url: '/courriers/genResponse',
            data: $(form).serialize()
        }, function (data) {
            $("#loader_" + loader_id).remove();
            getJsonResponse(data);
            updateElement.removeAttr('loaded');
//            loadContextTab(updateElement);
//            affichageTabContext("<?php echo $fluxId; ?>");
//            documentTab.removeAttr('loaded');
//            loadContextTab(documentTab);
//            affichageTabContext("<?php echo $fluxId; ?>");
//            $('.context_accordion').accordion("activate", 1);
//            
            updateContextRight("<?php echo $fluxId; ?>");
        });
    });

    $('.relement_list .ctxdocBttnWebdav').unbind('click').click(function () {
        window.location.href = "<?php echo WEBDAV_URL; ?>" + "/" + "<?php echo $fluxId; ?>" + "/" + $(this).attr('itemName');
    });

    initContextDocumentBttnActions();

    /*$('.relement_docs .ctxdocBttnWebdavAdd').button().click(function () {
     var filename = $(this).parentsUntil('.relement_docs_list').find('.ctxdoc_name span.filename').html();
     var updateElement = $('.context_accordion').find('.ui-state-active');
     gui.request({
     url: "/relements/addFromFile/<?php echo $fluxId; ?>/" + filename,
     data: $(this).serialize(),
     }, function (data) {
     getJsonResponse(data);
     updateElement.removeAttr('loaded');
     loadContextTab(updateElement);
     });
     });*/


    <?php if( !empty($soustypeId) ):?>
//    $('.relement_list .ctxdocBttnDelete').unbind('click').click(function () {
//        var filename = $(this).parentsUntil('.relement_docs_list').find('.ctxdoc_name span.filename').html();
//        var docId = $(this).parent().parent().attr('itemId');
//        swal({
//            title: "<?php echo __d('default', 'Modal.suppressionTitle'); ?>",
//            text: "<?php echo __d('default', 'Modal.suppressionContents'); ?>",
//            type: 'warning',
//            showCancelButton: true,
//            confirmButtonColor: '#d33',
//            cancelButtonColor: '#3085d6',
//            confirmButtonText: "<?php echo __d('default', 'Button.valid'); ?>",
//            cancelButtonText: "<?php echo __d('default', 'Button.cancel'); ?>",
//        }).then(function (data) {
//            if (data) {
//                gui.request({
//                    url: '/relements/delete/' + docId + '/' + <?php echo $fluxId; ?> + '/' + filename + '/' + <?php echo $soustypeId; ?>,
//                    loader: true,
//                    loaderMessage: gui.loaderMessage,
//                }, function (data) {
//                    getJsonResponse(data);
//                    updateElement.removeAttr('loaded');
//                    loadContextTab(updateElement);
//                });
//            } else {
//                swal({
//                    title: "Annulé!",
//                    text: "Vous n'avez pas supprimé, ;) .",
//                    type: "error",
//                    timer: 1500
//                });
//            }
//        });
//
//    });
    <?php endif;?>
</script>