<?php

/**
 *
 * Environnement/userenv.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 7
 * @author Stéphane Sampaio
 * @copyright Initié par ADULLACT - Développé par ADULLACT Projet
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<script>
    var supModalTitle = "<?php echo __d('default', 'Modal.suppressionTitle');?>";
    var supModalContent = "<?php echo __d('default', 'Modal.suppressionContents'); ?>";
    var btnConfirm = "<?php  echo __d('default', 'Button.valid');?>";
    var btnCancel = "<?php  echo __d('default', 'Button.cancel');?>";
    function messageHideShow() {
        $('#message_compos').toggle("slow");
    }
</script>
<?php
    echo $this->Bannette->importScript();
?>
<div class="">
    <div class="row bannette-content">
        <div class="table-list">
            <div class="infoParentDiv"></div>
            <!-- nav de banette-->
            <ul class="nav nav-tabs titre" role="tablist">
                <?php 
                $j = 1;
                foreach ($bannettes as $bannetteName => $bannetteContent) {
                    $alias = Inflector::camelize("bannette_" . Inflector::camelize(Inflector::slug($bannetteName)));
                    $path = "paging.{$alias}.count";
                    $countFlux = Hash::get($this->request->params, $path);
                    if(($tab == null && $j==1) || ($tab!=null && $bannetteName == $tab)){
                        echo ' <li class="active">'
                                . '<a href="#'.$bannetteName.'" role="tab" data-toggle="tab">'
                                .__d('bannette', 'Bannette.' . $bannetteName).'   ' .$this->Html->tag('span', ' : ' . $countFlux)
                                . '</a>'
                            .'</li>';
                    }else{
                        echo ' <li class="">'
                                . '<a href="#'.$bannetteName.'" role="tab" data-toggle="tab">'
                                .__d('bannette', 'Bannette.' . $bannetteName).'   ' .$this->Html->tag('span', ' : ' . $countFlux)
                                . '</a>'
                            .'</li>';
                    }
                    $j++;        
                }
                ?>
            </ul>
            <!-- fin de banette-->
            <!-- Tab panes -->
            <div class="tab-content container">
                <?php 
                $i = 1;
                foreach ($bannettes as $bannetteName => $bannetteContent) {
                        $bannetteOptions = array(
                                'sortable' => false,
                                'checkable' => true,
                                'filter' => true,
                                'translateBannetteName' => true,
                                'date' => 'datereception'
                        );
                ?>

                <?php 
                    if(!$tab==null && $tab==$bannetteName){ 
                ?>
                <div class="tab-pane fade active in" id="<?php echo $bannetteName; ?>" >
                    <?php
                        echo $this->Bannette->bannettePaginator($bannetteName);
                    ?>
                <?php
                    }else if($i==1 && $tab==null){
                ?>
                    <div class="tab-pane fade active in" id="<?php echo $bannetteName; ?>" >
                    <?php
                        echo $this->Bannette->bannettePaginator($bannetteName);
                    ?>
                <?php
                    }else{
                ?>
                        <div class="tab-pane fade" id="<?php echo $bannetteName; ?>" >
                    <?php
                        echo $this->Bannette->bannettePaginator($bannetteName);
                    ?>

                <?php
                    }
                ?>
                            
<script type="text/javascript">
    var screenHeight = $(window).height() * 0.5;
</script>
                            <table id="Table_<?php echo $bannetteName; ?>"
                                   data-toggle="table"
                                   data-height=screenHeight
                                   data-search="true"
                                   data-locale = "fr-CA"
                                   data-show-refresh="false"
                                   data-show-toggle="false"
                                   data-show-columns="true"
                                   data-toolbar="#toolbar">
                                <thead>
                                    <tr>
                                    <?php
                                    echo $this->Bannette->bannetteHead($bannetteContent, $bannetteName, $bannetteOptions);
                                    ?>

                                    </tr>
                                </thead>
                            </table>
                        </div>
                <?php 
                    $i++;
                }
                ?>
                    </div>

                </div>
                <!-- FIN Tab panes -->
                <!-- button box -->
                <div id="bannetteControls" class="controls" role="group">

                </div>
                <!-- fin button box -->
            </div>

        </div>
    </div>

    <script type="text/javascript">
        $(document).ready(function () {
            //charger les contenus de tableaux
            var fluxChoix = [];
            var desktopChoix = [];
        <?php 
            foreach ($bannettes as $bannetteName => $bannetteContent) {
                $bannetteOptions = array(
                       'sortable' => false,
                       'checkable' => true,
                       'filter' => true,
                       'translateBannetteName' => true,
                       'date' => 'datereception'
               );
                if(!empty($bannetteContent)){
        ?>
            var data = <?php echo $this->Bannette->bannetteTableTd($bannetteContent, $bannetteName, $bannetteOptions); ?>;
            $("#Table_<?php echo $bannetteName; ?>")
                    .bootstrapTable('load', data)
                    .on('all.bs.table', function (e, data) {
                        $('.unread').each(function () {
                            if ($(this).val() == '-1') {
                                $(this).parents('tr').addClass('unread');
                            }
                        });
                        $('.thName').find('i').each(function () {
                            var fluxId = $(this).attr('id').substring(5);
                            $(this).hover(function () {
                                $('#flux_' + fluxId).show();
                            }, function () {
                                $('#flux_' + fluxId).hide();
                            });
                        });
                    })
                    .on('click-row.bs.table', function (e, row, element) {
                        if ((!$(element.context).hasClass('thActions') && !$(element.context).hasClass('bs-checkbox')) || $(element.context).hasClass('thView')) {
                            var href = element.find('.thView').find('a').attr('href');
                            location.reload();
                            window.location.href = href;
                            //                            window.open(href);

                        }
                    })
                    .on('check.bs.table', function (e, row) {
                        var fluxId = row['id'];
                        fluxChoix.push(fluxId);                       
                        var fluxChoixNew = fluxChoix;
                        nbInCircuit(fluxChoixNew);
                        
                        isCopy(fluxChoixNew);
                        
                        var desktopId = row['desktopId'];
                        desktopChoix.push(desktopId); 
                    })
                    .on('uncheck.bs.table', function (e, row) {
                        var fluxId = row['id'];
                        fluxChoix = jQuery.grep(fluxChoix, function (value) {
                            return value != fluxId;
                        });
                        var fluxChoixNew = fluxChoix;
                        nbInCircuit(fluxChoixNew);
                        isCopy(fluxChoixNew);
                        
                        var desktopId = row['desktopId'];
                        desktopChoix  = jQuery.grep(desktopChoix, function (valueDesktop) {
                            return valueDesktop != desktopId;
                        });
                    })
                    .on('check-all.bs.table', function (e, rows) {
                        $.each(rows, function (i, row) {

                            var fluxId = row['id'];
                            if (jQuery.inArray(fluxId, fluxChoix)) {
                                fluxChoix.push(fluxId);
                            }
                            var desktopId = row['desktopId'];
                            if (jQuery.inArray(desktopId, desktopChoix)) {
                                desktopChoix.push(desktopId);
                            }
                        });
                        var fluxChoixNew = fluxChoix;
                        nbInCircuit(fluxChoixNew);
                        isCopy(fluxChoixNew);
                    })
                    .on('uncheck-all.bs.table', function (e, rows) {
                        $.each(rows, function (i, row) {
                            var fluxId = row['id'];
                            fluxChoix = jQuery.grep(fluxChoix, function (value) {
                                return value != fluxId;
                            });
                            
                            var desktopId = row['desktopId'];
                            desktopChoix = jQuery.grep(desktopChoix, function (valueDesktop) {
                                return valueDesktop != desktopId;
                            });
                        });
                        var fluxChoixNew = fluxChoix;
                        nbInCircuit(fluxChoixNew);
                        isCopy(fluxChoixNew);
                    })
                    .on('sort.bs.table', function (e, name, order) {
                        var bannetteName = $(this).parents('.tab-pane.fade.active.in').attr('id');
                        var nb = parseInt($('.nav.nav-tabs.titre li.active a span').html().substr(3));
                        var colonne;
                        switch (name) {
                            case 'priorite':
                                colonne = 'Courrier.priorite';
                                break;
                            case 'retard':
                                colonne = 'Courrier.mail_retard_envoye';
                                break;
                            case 'reference':
                                colonne = 'Courrier.reference';
                                break;
                            case 'contact':
                                colonne = 'Organisme.name';
                                break;
                            case 'date':
                                colonne = 'Courrier.datereception';
                                break;
                            case 'typesoustype':
                                colonne = 'Type.name';
                                break;
                            case 'bureau':
                                colonne = 'Desktop.name';
                                break;
                            case 'commentaire':
                                colonne = 'Courrier.commentaire';
                                break;
                            case 'modified':
                                colonne = 'Courrier.modified';
                                break;
                        }
                        if (nb > 20) {
                            gui.request({
                                url: "/environnement/setSessionPagination/" + bannetteName + '/' + colonne,
                                loader: true,
                                loaderMessage: gui.loaderMessage,
                                updateElement: $('.tab-content ')
                            }, function (data) {
//                                if (data) {
//                                    window.location.href = window.location.href;
//                                }
                            });
                        }
                    });

        <?php
                };
            };
        ?>
            changeTableBannetteHeight();
            $(window).resize(function () {
                changeTableBannetteHeight();
            });
            //if le total de flux est plus que 20, il est besoin de Pagination, il faut changement le url avec le nom de bannette
            $('.nav-tabs a').click(function () {
                if (parseInt($(this).find('span').text().replace(':', '')) > 20) {
                    var bannette = $(this).attr('href').replace('#', '');
                    $(this).removeAttr("href");
                    window.location.href = "<?php echo Configure::read('BaseUrl') . "/environnement/userenv/"; ?>" + bannette;
                }
            });
            $('.pagination').each(function () {
                var tab = $(this).attr('class').split('_')[0];
                $(this).insertAfter("#" + tab + " .bootstrap-table").show();
            });
            $('.pagination li').click(function (e) {
                if (!$(e.target).is('a')) {
                    window.location.href = $('a', this).attr('href');
                }
            });
        <?php if (!empty($add)) { ?>
            // Ajout d'un bouton permettant le renvoi vers un aiguilleur ou un autre initiateur
            gui.addbutton({
                element: $('#bannetteControls'),
                button: {
                    content: '<i class="fa fa-backward" aria-hidden="true" ></i>',
                    title: ' <?php echo __d("courrier", "Courrier.sendbacktodisp"); ?>',
                    action: function () {
                        if (fluxChoix.length == 0) {
                            swal({
                                title: 'Oops...',
                                text: 'Veuillez choisir au moins un flux!',
                                type: 'error',
                                timer: 1300
                            });
                        } else {
                            var form = "<form id='formChecked'>";
                            for (i in fluxChoix) {
                                form += '<input type="hidden" name="data[checkItem][]" value="' + fluxChoix[i] + '">';
                            }
                            form += "</form>";
                            gui.formMessage({
                                title: 'Ré-aiguillage du flux',
                                url: "/courriers/sendBackToDisp",
                                data: $(form).serialize(),
                                loader: true,
                                loaderMessage: gui.loaderMessage,
                                updateElement: $('.table-list'),
                                buttons: {
                                    "<?php echo __d('default', 'Button.submit'); ?>": function () {
                                        if (form_validate($('#CourrierSendBackToDispForm'))) {
                                            gui.request({
                                                url: '/courriers/sendBackToDisp',
                                                data: $('#CourrierSendBackToDispForm').serialize()
                                            }, function (data) {
                                                window.location.reload();
                                                layer.msg('Les informations ont été enregistrées', {});
                                            });
                                            $(this).parents(".modal").modal('hide');
                                            $(this).parents(".modal").empty();
                                        } else {
                                            swal({
                                                title: "Oops...",
                                                text: "Veuillez vérifier votre formulaire!",
                                                type: "error",
                                                timer: 1500
                                            });
                                        }
                                    },
                                    "<?php echo __d('default', 'Button.cancel'); ?>": function () {
                                        $(this).parents(".modal").modal('hide');
                                        $(this).parents(".modal").empty();
                                    }
                                }
                            });
                        }
                    }
                }
            });
        <?php } ?>
            // Traitement par lot
            gui.addbutton({
                element: $('#bannetteControls'),
                button: {
                    content: '<i class="fa fa-th-large" aria-hidden="true" ></i>',
                    title: ' <?php echo __d("courrier", "Courrier.traitementlot"); ?>',
                    action: function () {
                        <?php if(!Configure::read('Conf.SAERP')):?>
                        if ($('.selected').hasClass('unread')) {
                            swal({
                                title: 'Oops...',
                                html: '<p>Un flux parmi ceux sélectionnés n\'a pas été consulté. </p><p>Veuillez le consulter avant de pouvoir traiter les flux par lot</p>',
                                type: 'error',
                                timer: 1500
                            });
                        } else {
                        <?php endif;?>
                            if (fluxChoix.length == 0) {
                                swal({
                                    type: 'error',
                                    title: 'Traitement par lots',
                                    text: 'Veuillez choisir au moins un flux',
                                    timer: 1500
                                })
                            } else {
                                var form = "<form id='formChecked'>";
                                for (i in fluxChoix) {
                                    form += '<input type="hidden" name="data[checkItem][]" value="' + fluxChoix[i] + '">';
                                    form += '<input type="hidden" name="data[checkDesktop][]" value="' + desktopChoix[i] + '">';
                                }
                                form += "</form>";
                                gui.formMessage({
                                    title: 'Traitement par lots',
                                    url: "/courriers/traitementlot",
                                    data: $(form).serialize(),
                                    loader: true,
                                    loaderMessage: gui.loaderMessage,
                                    updateElement: $('.table-list'),
                                    width: 800,
                                    buttons: {
                                        '<i class="fa fa-times" aria-hidden="true"></i> Fermer': function () {
                                            $(this).parents(".modal").modal('hide');
                                            $(this).parents(".modal").empty();
                                        }
                                    }
                                });
                            }
                        <?php if(!Configure::read('Conf.SAERP')):?>
                        }
                        <?php endif;?>
                    }
                }
            });




        });
        function changeTableBannetteHeight() {
            $(".fixed-table-container").css('height', $(window).height() * 0.59);
            $(".fixed-table-container").css('overflow', 'hidden');
        }



        gui.buttonbox({element: $("#bannetteControls")});
        gui.buttonbox({element: $("#notificationControls")});

        function nbInCircuit(fluxChoix) {
            var form = "<form id='formChecked'>";
            for (i in fluxChoix) {
                form += '<input type="hidden" name="data[InCircuit][]" value="' + fluxChoix[i] + '">';
            }
            form += "</form>";
            gui.request({
                url: '/Courriers/isInTraite',
                data: $(form).serialize(),
                loader: false,
            }, function (data) {
                if (data) {
                    isButtonAiguillage(1);
                } else {
                    isButtonAiguillage(0);
                }
            });
        }
        
        
        
        function isCopy(fluxChoix) {
            var form = "<form id='formChecked'>";
            for (i in fluxChoix) {
                form += '<input type="hidden" name="data[InCopy][]" value="' + fluxChoix[i] + '">';
            }
            form += "</form>";
            gui.request({
                url: '/Courriers/isInCopy',
                data: $(form).serialize(),
                loader: false,
            }, function (data) {
//console.log(data);
                if (data == '{"incopy":true}') {
                    isButtonAiguillage(1);
                } else {
                    isButtonAiguillage(0);
                }
            });
        }
        //new flux, rappelle Modal de formulaire(code dans menu.ctp)
        <?php if (!empty($add) && !empty($addservice)) {?>
        gui.addbutton({
            element: $('#bannetteControls'),
            button: {
                content: '<i class="fa fa-plus" aria-hidden="true" ></i>',
                title: ' <?php echo __d("courrier", "New Courrier"); ?>',
                class: 'btn btn-info-webgfc',
                data_toggle: "modal",
                data_target: "#myModal"
            }
        });
        <?php } ?>


    </script>  

    <?php echo $this->Js->writeBuffer();?>


