<?php

/**
 *
 * Groups/edit.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 7
 * @author Stéphane Sampaio
 * @copyright Initié par ADULLACT - Développé par ADULLACT Projet
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<div id="groups_tabs" class="row">
    <ul class="nav nav-tabs titre" role="tablist">
        <li class="active"><a href="#tab-info"  role="tab" data-toggle="tab"><?php echo __d('default', 'Informations'); ?></a></li>
        <li><a href="tabs_2"  role="tab" data-toggle="tab" ><?php echo __d('group', 'Group.droitsFunc'); ?></a></li>
    </ul>

    <div class="tab-content row">
        <div id="tab-info" class="tab-pane fade active in" >
            <?php
            $formGroups = array(
                'name' => 'Group',
                'label_w' => 'col-sm-6',
                'input_w' => 'col-sm-6',
                'input_url' =>"/groups/setInfos/9",
                'input' => array(
                    'Group.id' => array(
                        'inputType' => 'hidden',
                        'items'=>array(
                            'type'=>'hidden'
                        )
                    ),
                    'Group.name' => array(
                        'labelText' =>__d('group', 'Group.name'),
                        'inputType' => 'text',
                        'items'=>array(
                            'required'=>true,
                            'type'=>'text'
                        )
                    ),
                    'Group.active' => array(
                        'labelText' =>__d('group', 'Group.active'),
                        'inputType' => 'text',
                        'items'=>array(
                            'type'=>'text'
                        )
                    )
                )
            );
            echo $this->Formulaire->createForm($formGroups);
            echo $this->Form->end();
            ?>
            </form>
        </div>
        <div id="tabs_2"  class="tab-pane fade"></div>
    </div>
</div>

<script type="text/javascript">
    function affichageTab() {
        if ($('#tabs_2').length > 0 && $('#tabs_2').is(':visible')) {
            gui.request({
                url: "<?php echo "/groups/setDroitsFunc/" . $id . "/func" ?>",
                updateElement: $('#tabs_2'),
            });
        }
    }
    $('.nav-tabs a').on('shown.bs.tab', function (e) {
        affichageTab();
    });

    $('#GroupName').blur(function () {
        gui.request({
            url: "/groups/ajaxformvalid/name",
            data: $('#GroupSetInfosForm').serialize()
        }, function (data) {
            processJsonFormCheck(data);
        })
    });
</script>