<?php

/**
 *
 * Users/login.ctp View File
 *
 * web-GFC : Gestion de Flux Citoyens (https://adullact.net/projects/webgfc)
 *
 * PHP version 7
 * @author Stéphane Sampaio
 * @copyright Initié par ADULLACT - Développé par ADULLACT Projet
 * @link http://adullact.org/
 * @license http://www.cecill.info/licences/Licence_CeCILL_V2-fr.txt CeCiLL v2
 */
?>
<?php 
echo $this->Html->script('formValidate.js', array('inline' => true));
?>




<!-- Content -->

<div class="col-xs-10
     col-sm-7
     col-md-6
     col-lg-5
     center-block login-block">


    <?php if (Configure::read('Conf.logo')) :?>
        <div class="hidden-xs
            hidden-sm
            col-md-3
            col-lg-3
            collectivity-block" style="background-color: #c02e74;">
            <img class="collectivity-logo center-block"
                 src="/files/logo/grandalbigeois.jpg">
        </div>
    <?php endif;?>
                     <!--src="/files/logo/SAERP_LOGO.png"-->
    <div class="form-block">

        <img class="row center-block main-logo"
             src="/img/web-gfc_color_h48px.png">

        <div class="row buffer-top text-center">
            Veuillez saisir vos identifiants de connexion
        </div>

        <form class="row double-buffer-top" id="UserLoginForm" role="form" action="" method="post" id="UserLoginForm" data-toggle="validator">
            <div class="form-horizontal form-group">

                <label for="login"
                       class="col-md-4
                       control-label normal-left">Identifiant *</label>  <!-- font-family: Arial, serif; -->

                <div class="col-md-8 input-group">
                    <span class="input-group-addon color-inverse"
                          id="sizing-addon-login">
                        <i class="fa fa-user"
                           aria-hidden="true"></i>
                    </span>
                    <input type="text"
                           class="form-control"
                           id="login"
                           name="data[User][username]"
                           required="required"
                           aria-describedby="sizing-addon-login">
                </div>
            </div>

            <div class="form-horizontal form-group" id="form_group_password">
                <label for="password"
                       class="col-md-4 control-label normal-left">Mot de passe *</label>  <!-- font-family: Arial, serif; -->

                <div class="col-md-8 input-group">
                    <span class="input-group-addon color-inverse"
                          id="sizing-addon-password">
                        <i class="fa fa-lock"
                           aria-hidden="true"></i>
                    </span>
                    <input type="password"
                           class="form-control"
                           id="password"
                           name="data[User][password]"
                           required="required"
                           aria-describedby="sizing-addon-password">
                </div>
            </div>
        </form>

        <div class="row form-horizontal form-group buffer-top" id="loginButtonBox">
            <!--<a class="pull-right btn btn-primary"  id="login_logiciel"><i class="fa fa-sign-in fa-fw"></i> Se connecter</a>-->
        </div>

        </form>

        <div class="row buffer-top text-center">
            <?php echo $this->Html->link( 'Mot de passe oublié ?', array( 'action' => 'mdplost' ));?>
            <!--<a href="#">Mot de passe oublié ?</a>-->
        </div>
        <div class="show_login_table"></div>

    </div>
</div>
        

<?php if (SHOW_LOGIN_TABLE) { ?>
<div id="comptesdemoDiv">
    <div class="ui-widget ui-widget-content ui-corner-bottom ui-widget-webgfc">
        <table id="comptesdemo">
            <thead>
            <th class="text-center" style="width:33%;">Login</th>
            <th class="text-center" style="width:33%;">Mot de passe</th>
            <th class="text-center" style="width:33%;">Group</th>
            </thead>
            <tbody>
                <tr>
                        <td>SecretaireSC@demo</td>
                        <td class="text-center">user</td>
                        <td>Aiguilleur</td>
                </tr>
                <tr>
                        <td>BCI@demo</td>
                        <td class="text-center">user</td>
                        <td>Initiateur</td>
                </tr>
                <tr>
                        <td>Agent1@demo</td>
                        <td class="text-center">user</td>
                        <td>Valideur-Editeur</td>
                </tr>
                <tr>
                        <td>Agent2@demo</td>
                        <td class="text-center">user</td>
                        <td>Valideur-Editeur</td>
                </tr>
                <tr>
                        <td>DirecteurG@demo</td>
                        <td class="text-center">user</td>
                        <td>Valideur-Editeur</td>
                </tr>
                <tr>
                        <td>DRH@demo</td>
                        <td class="text-center">user</td>
                        <td>Valideur-Editeur</td>
                </tr>
                <tr>
                        <td>DirecteurVOI@demo</td>
                        <td class="text-center">user</td>
                        <td>Valideur</td>
                </tr>
                <tr>
                        <td>DirecteurTECH@demo</td>
                        <td class="text-center">user</td>
                        <td>Valideur</td>
                </tr>
                <tr>
                        <td>Documentaliste@demo</td>
                        <td class="text-center">user</td>
                        <td>Documentaliste</td>
                </tr>
                <tr>
                        <td>administrateur@demo</td>
                        <td class="text-center">admin</td>
                        <td>Admin</td>
                </tr>
                <tr>
                        <td>admin@admin</td>
                        <td class="text-center">admin</td>
                        <td>Superadmin</td>
                </tr>

            </tbody>
        </table>
    </div>
</div>

<?php } ?>
<script type="text/javascript">

//    $('#UserLoginForm').validate({
//        'rules': {
//            'data[User][username]': 'required',
//            'data[User][password]': 'required'
//        }
//    });

    gui.buttonbox({
        element: $('#loginButtonBox')
    });


    gui.addbutton({
        element: $('#loginButtonBox'),
        button:
                {
                    content: '<i class="fa fa-sign-in fa-fw"></i> Se connecter',
                    class: "pull-right btn btn-primary",
                    action: function () {
                        if (form_validate($('#UserLoginForm'))) {
                            $('#UserLoginForm').submit();
                        } else {
                            swal({
                                title: "Oops...",
                                text: "Veuillez vérifier votre formulaire!",
                                type: "error",
                                timer: 1500
                            });
                        }
                    }
                }
    });
    $('#UserLoginForm').keyup(function (e) {
        if (e.keyCode == 13) {
            if ($('#UserLoginForm .list-unstyled').length == 0) {
                $('#UserLoginForm').submit();
            } else {
                swal({
                    title: "Oops...",
                    text: "Veuillez vérifier votre formulaire!",
                    type: "error",
                    timer: 1500
                });
            }
        }
    });

<?php if (SHOW_LOGIN_TABLE) { ?>
    $('#comptesdemoDiv').hide();
    gui.addbutton({
        element: $('#loginButtonBox'),
        button: {
            content: "Afficher les comptes de démonstration",
            action: function () {
                $('.show_login_table').append( $('#comptesdemoDiv'));
                $('#comptesdemoDiv').toggle();
            }
        }
    });

    $('#comptesdemo tr').css('cursor', 'pointer').hover(function () {
        $(this).addClass(' alert-warning');
    }, function () {
        $(this).removeClass(' alert-warning');
    }).click(function () {
        $('#login').val($('td:nth-child(1)', this).html());
        $('#password').val($('td:nth-child(2)', this).html());
    });
<?php } ?>

</script>
